ApiUser api keys
List API keys
List API keys for the authenticated user. By default only active keys are returned; set include_revoked=true to include revoked keys.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Query Parameters
include_revoked?boolean
Include revoked keys in the list
Default
falseCookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/users/me/api-keys"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"key_prefix": "string",
"environment": "live",
"scopes": [
"string"
],
"rate_limit_rpm": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"last_used_at": "2019-08-24T14:15:22Z",
"last_used_ip": "string"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Get an API key
Return metadata for a specific API key owned by the authenticated user. The actual key value is never returned after creation.
Revoke an API key
Immediately and irreversibly revoke an API key owned by the authenticated user. An optional revocation reason can be provided for audit logging.
